:- module(contest_lib,[
				contest_start/1,
				contest_finish/1
			    ]).
			
:- dynamic contest_start_time/2.
			
contest_start(Robot) :-
	string_to_atom(RobotName,Robot),
	string_concat(RobotName,'_go',GoalName),
	string_to_atom(GoalName,Goal),
	get_time(StartTime),
	assert(contest_start_time(Robot,StartTime)),
	call(Goal).
	
contest_finish(Robot) :-
	get_time(FinishTime),
	contest_start_time(Robot,StartTime),
	Result is FinishTime - StartTime,
	write(Robot), write(' uzyskal czas: '), write(Result), writeln(' [s]').